## Pin a record to the view (append to record_order) `client.Views.Records.Pin(ctx, viewObjectType, viewID, objectID, params) error` **post** `/v2/prism/{teamId}/{viewObjectType}/views/{viewId}/records/{objectId}` Pin a record to the view (append to record_order) ### Parameters - `viewObjectType ViewRecordPinParamsViewObjectType` - `const ViewRecordPinParamsViewObjectTypeAction ViewRecordPinParamsViewObjectType = "action"` - `const ViewRecordPinParamsViewObjectTypeDeal ViewRecordPinParamsViewObjectType = "deal"` - `const ViewRecordPinParamsViewObjectTypeDocument ViewRecordPinParamsViewObjectType = "document"` - `const ViewRecordPinParamsViewObjectTypeEvent ViewRecordPinParamsViewObjectType = "event"` - `const ViewRecordPinParamsViewObjectTypeIdentity ViewRecordPinParamsViewObjectType = "identity"` - `const ViewRecordPinParamsViewObjectTypeOrganization ViewRecordPinParamsViewObjectType = "organization"` - `viewID string` - `objectID string` - `params ViewRecordPinParams` - `TeamID param.Field[string]` Path param - `IdempotencyKey param.Field[string]` Header param: A unique key (UUID or any opaque string up to 255 chars) that identifies this logical request. The server caches the first response under this key for 24 hours and replays it on retry — safe to use on every POST/PUT/PATCH to make network retries deterministic. Reusing the same key with a different body returns 409 `idempotency_key_mismatch`. Replays include the `idempotent-replay: true` response header. ### Example ```go package main import ( "context" "github.com/micro-so/micro-sdk-go" "github.com/micro-so/micro-sdk-go/option" ) func main() { client := micro.NewClient( option.WithAPIKey("My API Key"), option.WithTeamID("My Team ID"), ) err := client.Views.Records.Pin( context.TODO(), micro.ViewRecordPinParamsViewObjectTypeAction, "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", micro.ViewRecordPinParams{ }, ) if err != nil { panic(err.Error()) } } ```